﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using MarkdownSharp;

namespace MarkdownProcessor
{
    class Program
    {
        static void Main(string[] args)
        {
            if( args.Length != 2 )
            {
                System.Console.WriteLine( "usage: MarkdownProcessor inputfile outputfile" ) ;
                return ;
            }

            Markdown markdown = new Markdown( true ) ;

            try
            {
                String input  = File.ReadAllText( args[0] ) ;
                String output = markdown.Transform( input ) ;
                File.WriteAllText( args[1], output ) ;
            }
            catch( Exception e )
            {
                 System.Console.WriteLine( e.Message ) ;
            }
        }
    }
}
